2006-02-01 12:38:52

by Alexey Dobriyan

[permalink] [raw]
Subject: [PATCH] extract-ikconfig: be sure binoffset exists before extracting

Signed-off-by: Alexey Dobriyan <[email protected]>
---

scripts/extract-ikconfig | 1 +
1 file changed, 1 insertion(+)

--- a/scripts/extract-ikconfig
+++ b/scripts/extract-ikconfig
@@ -4,6 +4,7 @@
# $arg1 is [b]zImage filename

binoffset="./scripts/binoffset"
+test -e $binoffset || cc -o $binoffset ./scripts/binoffset.c || exit 1

IKCFG_ST="0x49 0x4b 0x43 0x46 0x47 0x5f 0x53 0x54"
IKCFG_ED="0x49 0x4b 0x43 0x46 0x47 0x5f 0x45 0x44"


2006-02-02 23:30:40

by Andrew Morton

[permalink] [raw]
Subject: Re: [PATCH] extract-ikconfig: be sure binoffset exists before extracting

Alexey Dobriyan <[email protected]> wrote:
>
> Signed-off-by: Alexey Dobriyan <[email protected]>
> ---
>
> scripts/extract-ikconfig | 1 +
> 1 file changed, 1 insertion(+)
>
> --- a/scripts/extract-ikconfig
> +++ b/scripts/extract-ikconfig
> @@ -4,6 +4,7 @@
> # $arg1 is [b]zImage filename
>
> binoffset="./scripts/binoffset"
> +test -e $binoffset || cc -o $binoffset ./scripts/binoffset.c || exit 1
>

OK, but it would be better if we could find a way of doing this within a
Makefile.

2006-02-03 00:00:23

by Alexey Dobriyan

[permalink] [raw]
Subject: Re: [PATCH] extract-ikconfig: be sure binoffset exists before extracting

On Thu, Feb 02, 2006 at 03:32:41PM -0800, Andrew Morton wrote:
> Alexey Dobriyan <[email protected]> wrote:
> > --- a/scripts/extract-ikconfig
> > +++ b/scripts/extract-ikconfig
> > @@ -4,6 +4,7 @@
> > # $arg1 is [b]zImage filename
> >
> > binoffset="./scripts/binoffset"
> > +test -e $binoffset || cc -o $binoffset ./scripts/binoffset.c || exit 1
> >
>
> OK, but it would be better if we could find a way of doing this within a
> Makefile.

AFAICS, it's a standalone script for CONFIG_IKCONFIG=y,
CONFIG_IKCONFIG_PROC=n users.

2006-02-03 00:02:33

by Randy Dunlap

[permalink] [raw]
Subject: Re: [PATCH] extract-ikconfig: be sure binoffset exists before extracting

On Fri, 3 Feb 2006, Alexey Dobriyan wrote:

> On Thu, Feb 02, 2006 at 03:32:41PM -0800, Andrew Morton wrote:
> > Alexey Dobriyan <[email protected]> wrote:
> > > --- a/scripts/extract-ikconfig
> > > +++ b/scripts/extract-ikconfig
> > > @@ -4,6 +4,7 @@
> > > # $arg1 is [b]zImage filename
> > >
> > > binoffset="./scripts/binoffset"
> > > +test -e $binoffset || cc -o $binoffset ./scripts/binoffset.c || exit 1
> > >
> >
> > OK, but it would be better if we could find a way of doing this within a
> > Makefile.
>
> AFAICS, it's a standalone script for CONFIG_IKCONFIG=y,
> CONFIG_IKCONFIG_PROC=n users.

or for reading the .config from any kernel image file (if it's there),
not limited to only the loaded kernel.

--
~Randy